TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Orthogonalize ( elt-alg^mat X ) -> elt-alg^mat, elt-alg^mat, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 3

### Description

<shortdoc> Return the result Y obtained from orthogonalizing the generating matrix X, together with a transformation matrix T such that Y = T*X and the rank of X. </shortdoc>

### Examples

M:=Matrix(Z,3,3,[1,0,3,0,6,0,2,45,9]); Orthogonalize(M);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack